from zope.interface import Interface


class ISplashPage(Interface):
    """Marker interface for news that can be part of a splash page"""


class IBanner(Interface):
    """Base interface for banners"""


class IBannerWithHero(Interface):
    """Marker interface for news that can be in the banner with an hero image"""


class IBannerWithIcon(Interface):
    """Marker interface for news that can be in the banner with an icon"""


class IMaintainerGroup(Interface):
    """Marker interface that can be applied to workgroups to make them
    maintainers of a news section
    """


class IMagazineHome(Interface):
    """Marker interface for news articles which are shown at the magazine home
    overview section.
    """


class IReaderGroup(Interface):
    """Marker interface that can be applied to workgroups to make them
    readers of a news section
    """
